<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-configuration PUBLIC
        "-//Hibernate/Hibernate Configuration DTD 3.0//EN"
        "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">

 

<hibernate-configuration>

 

    <session-factory>

 

        <!--  JDBC Database connection settings--> 
        <property name="connection.driver_class">oracle.jdbc.driver.OracleDriver</property>
        <property name="connection.url">jdbc:oracle:thin:@localhost:1521:xe</property>
        <property name="connection.username">system</property>
        <property name="connection.password">system</property>
        
 	 	<!-- <property name="connection.driver_class">com.mysql.jdbc.Driver</property>
        <property name="connection.url">jdbc:mysql://127.0.0.1:3306/mydb</property>
        <property name="connection.username">zak</property>
        <property name="connection.password">123</property> -->

        <!-- JDBC connection pool settings ... using built-in test pool -->
        <property name="connection.pool_size">1</property>

 

        <!-- Select our SQL dialect -->
        <property name="dialect">org.hibernate.dialect.OracleDialect</property>

		<!-- <property name="dialect">org.hibernate.dialect.MySQLDialect</property> -->
 

        <!-- Echo the SQL to stdout -->
        <property name="show_sql">true</property>

 

        <!-- Set the current session context -->
        <property name="current_session_context_class">thread</property>
        <property name="hibernate.hbm2ddl.auto">create</property>
        
        <!-- mapping student -->
       <!--  <mapping resource="Student.hbm.xml"/>  -->
       <!-- mapping anoted class -->
       <!--  <mapping class="hib_demo.Student"/>-->
    	<mapping class="hib_anz_batch1_demo.Emolyee"/>
    </session-factory>

 

</hibernate-configuration>